[Testing Update] 2019-03-11 - KDE Frameworks, AMDVLK, LXDE, Glib2

xfce with kernel 5.0.1 working. Updated via TTY3.
sudo pacman-mirrors -f10
sudo pacman -Syyu
systemctl reboot

I decided to install the testing version on this laptop yesterday, just to see what it's like. Very smooth so far including today's update.

Operating System: Manjaro Linux
KDE Plasma Version: 5.15.2
KDE Frameworks Version: 5.56.0
Qt Version: 5.12.1
Kernel Version: 5.0.1-1-MANJARO
OS Type: 64-bit
Processors: 4 × Intel® Core™ i7-7500U CPU @ 2.70GHz
Memory: 7.7 GiB of RAM

Upgraded Manjaro Cinnamon with Pamac GUI on both desktop and laptop. The upgrade went flawlessly and my systems still boot correctly.

Haven't got time to test out the new stuff yet.

The upcoming Stable update will be pretty huge. Hopefully it goes well.

Pamac details - Desktop PC (i5-6400 + Nvidia GTX 970)
Synchronizing package databases...
Refreshing DEB_Arch_Extra.db...
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Downloading glib2 (2.60.0-1-x86_64)...
Downloading glib2-docs (2.60.0-1-x86_64)...
Downloading libxdamage (1.1.5-1-x86_64)...
Downloading attica (5.56.0-1-x86_64)...
Downloading colord (1.4.4-1-x86_64)...
Downloading libxcomposite (0.4.5-1-x86_64)...
Downloading libxcursor (1.2.0-1-x86_64)...
Downloading rtkit (0.12-1-x86_64)...
Downloading breeze-icons (5.56.0-1-any)...
Downloading colord-sane (1.4.4-1-x86_64)...
Downloading docbook-xsl (1.79.2-5-any)...
Downloading gvfs (1.38.2-1-x86_64)...
Downloading gvfs-afc (1.38.2-1-x86_64)...
Downloading gvfs-gphoto2 (1.38.2-1-x86_64)...
Downloading gvfs-mtp (1.38.2-1-x86_64)...
Downloading gvfs-smb (1.38.2-1-x86_64)...
Downloading libmagick (7.0.8.33-1-x86_64)...
Downloading imagemagick (7.0.8.33-1-x86_64)...
Downloading karchive (5.56.0-1-x86_64)...
Downloading kcoreaddons (5.56.0-1-x86_64)...
Downloading kauth (5.56.0-1-x86_64)...
Downloading kdbusaddons (5.56.0-1-x86_64)...
Downloading kconfig (5.56.0-1-x86_64)...
Downloading kwindowsystem (5.56.0-1-x86_64)...
Downloading kcrash (5.56.0-1-x86_64)...
Downloading kglobalaccel (5.56.0-1-x86_64)...
Downloading kwidgetsaddons (5.56.0-1-x86_64)...
Downloading kcompletion (5.56.0-1-x86_64)...
Downloading ki18n (5.56.0-1-x86_64)...
Downloading kservice (5.56.0-1-x86_64)...
Downloading kcodecs (5.56.0-1-x86_64)...
Downloading kguiaddons (5.56.0-1-x86_64)...
Downloading kconfigwidgets (5.56.0-1-x86_64)...
Downloading kitemviews (5.56.0-1-x86_64)...
Downloading kiconthemes (5.56.0-1-x86_64)...
Downloading sonnet (5.56.0-1-x86_64)...
Downloading ktextwidgets (5.56.0-1-x86_64)...
Downloading kxmlgui (5.56.0-1-x86_64)...
Downloading kbookmarks (5.56.0-1-x86_64)...
Downloading solid (5.56.0-1-x86_64)...
Downloading kjobwidgets (5.56.0-1-x86_64)...
Downloading knotifications (5.56.0-1-x86_64)...
Downloading kwallet (5.56.0-1-x86_64)...
Downloading kio (5.56.0-1-x86_64)...
Downloading kpackage (5.56.0-1-x86_64)...
Downloading kdeclarative (5.56.0-1-x86_64)...
Downloading kcmutils (5.56.0-1-x86_64)...
Downloading libvdpau (1.2-1-x86_64)...
Downloading kfilemetadata (5.56.0-1-x86_64)...
Downloading kitemmodels (5.56.0-1-x86_64)...
Downloading knewstuff (5.56.0-1-x86_64)...
Downloading knotifyconfig (5.56.0-1-x86_64)...
Downloading purpose (5.56.0-1-x86_64)...
Downloading srt (1.3.2-1-x86_64)...
Downloading xorg-xprop (1.2.4-1-x86_64)...
Downloading audacity (1:2.3.1-1-x86_64)...
Downloading blueberry (1.2.5+7+g82682e9-1-any)...
Downloading lib32-glib2 (2.60.0-1-x86_64)...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading glib2 (2.58.3-1 -> 2.60.0-1)...
Upgrading libxdamage (1.1.4-3 -> 1.1.5-1)...
Upgrading attica (5.55.0-1 -> 5.56.0-1)...
Upgrading colord (1.4.3-2 -> 1.4.4-1)...
Upgrading libxcomposite (0.4.4-3 -> 0.4.5-1)...
Upgrading libxcursor (1.1.15-1 -> 1.2.0-1)...
Upgrading audacity (1:2.2.2-1 -> 1:2.3.1-1)...
Upgrading rtkit (0.11+10+g493a135-1 -> 0.12-1)...
Upgrading blueberry (1.2.5-1 -> 1.2.5+7+g82682e9-1)...
Upgrading breeze-icons (5.55.0-1 -> 5.56.0-1)...
Upgrading colord-sane (1.4.3-2 -> 1.4.4-1)...
Upgrading docbook-xsl (1.79.2-4 -> 1.79.2-5)...
Upgrading glib2-docs (2.58.3-1 -> 2.60.0-1)...
Upgrading gvfs (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-afc (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-gphoto2 (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-mtp (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-smb (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading libmagick (7.0.8.32-1 -> 7.0.8.33-1)...
Upgrading imagemagick (7.0.8.32-1 -> 7.0.8.33-1)...
Upgrading karchive (5.55.0-1 -> 5.56.0-1)...
Upgrading kcoreaddons (5.55.0-1 -> 5.56.0-1)...
Upgrading kauth (5.55.0-1 -> 5.56.0-1)...
Upgrading kdbusaddons (5.55.0-1 -> 5.56.0-1)...
Upgrading kconfig (5.55.0-1 -> 5.56.0-1)...
Upgrading kwindowsystem (5.55.0-1 -> 5.56.0-1)...
Upgrading kcrash (5.55.0-1 -> 5.56.0-1)...
Upgrading kglobalaccel (5.55.0-1 -> 5.56.0-1)...
Upgrading kwidgetsaddons (5.55.0-1 -> 5.56.0-1)...
Upgrading kcompletion (5.55.0-1 -> 5.56.0-1)...
Upgrading ki18n (5.55.0-1 -> 5.56.0-1)...
Upgrading kservice (5.55.0-1 -> 5.56.0-1)...
Upgrading kcodecs (5.55.0-1 -> 5.56.0-1)...
Upgrading kguiaddons (5.55.0-1 -> 5.56.0-1)...
Upgrading kconfigwidgets (5.55.0-1 -> 5.56.0-1)...
Upgrading kitemviews (5.55.0-1 -> 5.56.0-1)...
Upgrading kiconthemes (5.55.0-1 -> 5.56.0-1)...
Upgrading sonnet (5.55.0-1 -> 5.56.0-1)...
Upgrading ktextwidgets (5.55.0-1 -> 5.56.0-1)...
Upgrading kxmlgui (5.55.0-1 -> 5.56.0-1)...
Upgrading kbookmarks (5.55.0-1 -> 5.56.0-1)...
Upgrading solid (5.55.0-1 -> 5.56.0-1)...
Upgrading kjobwidgets (5.55.0-1 -> 5.56.0-1)...
Upgrading knotifications (5.55.0-1 -> 5.56.0-1)...
Upgrading kwallet (5.55.0-1 -> 5.56.0-1)...
Upgrading kio (5.55.0-1 -> 5.56.0-1)...
Upgrading kpackage (5.55.0-1 -> 5.56.0-1)...
Upgrading kdeclarative (5.55.0-1 -> 5.56.0-1)...
Upgrading kcmutils (5.55.0-1 -> 5.56.0-1)...
Upgrading libvdpau (1.1.1+3+ga21bf7a-1 -> 1.2-1)...
Upgrading kfilemetadata (5.55.0-1 -> 5.56.0-1)...
Upgrading kitemmodels (5.55.0-1 -> 5.56.0-1)...
Upgrading knewstuff (5.55.0-1 -> 5.56.0-1)...
Upgrading knotifyconfig (5.55.0-1 -> 5.56.0-1)...
Upgrading lib32-glib2 (2.58.3-1 -> 2.60.0-1)...
Upgrading purpose (5.55.0-1 -> 5.56.0-1)...
Upgrading srt (1.3.1-1 -> 1.3.2-1)...
Upgrading xorg-xprop (1.2.3-1 -> 1.2.4-1)...
Running post-transaction hooks...
Warn about old perl modules
Updating GIO module cache...
Compiling GSettings XML schema files...
Updating icon theme caches...
Reloading GVFS config...
Reloading system manager configuration...
Creating system user accounts...
Creating temporary files...
Reloading device manager configuration...
Arming ConditionNeedsUpdate...
Updating the desktop file MIME type cache...
Updating the MIME type database...
Transaction successfully finished.

(I have a lot of packages related to KDE framework because of KDEnlive.)

Pacman details - Laptop (Lenovo Ideapad 310)
Synchronizing package databases...
Refreshing DEB_Arch_Extra.db...
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Downloading glib2 (2.60.0-1-x86_64)...
Downloading colord (1.4.4-1-x86_64)...
Downloading libxcomposite (0.4.5-1-x86_64)...
Downloading libxcursor (1.2.0-1-x86_64)...
Downloading libxdamage (1.1.5-1-x86_64)...
Downloading gvfs (1.38.2-1-x86_64)...
Downloading gvfs-afc (1.38.2-1-x86_64)...
Downloading gvfs-gphoto2 (1.38.2-1-x86_64)...
Downloading gvfs-mtp (1.38.2-1-x86_64)...
Downloading gvfs-smb (1.38.2-1-x86_64)...
Downloading libmagick (7.0.8.33-1-x86_64)...
Downloading imagemagick (7.0.8.33-1-x86_64)...
Downloading kcoreaddons (5.56.0-1-x86_64)...
Downloading kauth (5.56.0-1-x86_64)...
Downloading kitemmodels (5.56.0-1-x86_64)...
Downloading kwindowsystem (5.56.0-1-x86_64)...
Downloading libvdpau (1.2-1-x86_64)...
Downloading rtkit (0.12-1-x86_64)...
Downloading srt (1.3.2-1-x86_64)...
Downloading xorg-xprop (1.2.4-1-x86_64)...
Downloading lib32-glib2 (2.60.0-1-x86_64)...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading glib2 (2.58.3-1 -> 2.60.0-1)...
Upgrading colord (1.4.3-2 -> 1.4.4-1)...
Upgrading libxcomposite (0.4.4-3 -> 0.4.5-1)...
Upgrading libxcursor (1.1.15-1 -> 1.2.0-1)...
Upgrading libxdamage (1.1.4-3 -> 1.1.5-1)...
Upgrading gvfs (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-afc (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-gphoto2 (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-mtp (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading gvfs-smb (1.38.1+9+gd4dab113-2 -> 1.38.2-1)...
Upgrading libmagick (7.0.8.32-1 -> 7.0.8.33-1)...
Upgrading imagemagick (7.0.8.32-1 -> 7.0.8.33-1)...
Upgrading kcoreaddons (5.55.0-1 -> 5.56.0-1)...
Upgrading kauth (5.55.0-1 -> 5.56.0-1)...
Upgrading kitemmodels (5.55.0-1 -> 5.56.0-1)...
Upgrading kwindowsystem (5.55.0-1 -> 5.56.0-1)...
Upgrading lib32-glib2 (2.58.3-1 -> 2.60.0-1)...
Upgrading libvdpau (1.1.1+3+ga21bf7a-1 -> 1.2-1)...
Upgrading rtkit (0.11+10+g493a135-1 -> 0.12-1)...
Upgrading srt (1.3.1-1 -> 1.3.2-1)...
Upgrading xorg-xprop (1.2.3-1 -> 1.2.4-1)...
Running post-transaction hooks...
Warn about old perl modules
Updating GIO module cache...
Compiling GSettings XML schema files...
Updating icon theme caches...
Reloading GVFS config...
Reloading system manager configuration...
Creating system user accounts...
Creating temporary files...
Reloading device manager configuration...
Arming ConditionNeedsUpdate...
Updating the MIME type database...
Transaction successfully finished.
1 Like

Two apparent bugs with kernel 5.0.1-1.

  1. Slow SD/reboots
  2. No audio after Resume from Suspend.

I wrote more about it here Slow Shutdown since Testing Update 2019-03-10 with Kernel 5.0.1


UPDATE: Kudos to @anon27588196 for providing a nice workaround for the audio problem. :hugs:

Both my Gnome and KDE laptops on testing updated completely fine in tty. Thanks!!

The same for me.
It seems to be a general problem for gnome desktop that has been reported:

1 Like

Is Manjaro Release 18.0.4 Stable kernel Default version 5.0.1, Because My Device If Using the default Kernel which is 4.19 LTS does not support.

I doubt it, the ISO always uses a LTS kernel but you can build your own with kernel 5.0.1 instead

Update to stable is out.
Running KDE, 395 packets@1.4GB
Upgraded from tty, shutdown
Booted as expected.

Thank you for the update :+1:

1 Like

KDE Plasma, kernel 4.20, Stable Branch.

Update came through Octopi notifier early this morning, total of 271 packets indicated.

Went through Konsole as per usual(and not TTY), nothing of particular happened, re-boot was normal. Now running like a charm.

Thumbs up!

1 Like

Since stable gang invades testing tread again I will put my 5 cents in here too.
Lenovo G580 Cinnamon 4.0.9 kernel 4.19 ,500MB of updates installed. All like a charm :+1:

Having a big problem with Plasma. Every time I try to open anything from plasma interface like Application Launcher, system tray, time and date, change monitor configuration or alt-space (don't know what its called) the screen goes black with only the cursor on it, when the plasma app loses focus then everything is back to normal. Also when dragging the windows around I experience the same effect as in windows xp: https://i.stack.imgur.com/4Jh7t.jpg

I already tried to downgrade everything from 5.15.2 to 5.15.1 from plasma but didn't work. Any help would be greatly appreciated.

Please try the 18.0.4 ISO when it is out.

Thank you for your answer. Does this mean I have to reinstall the whole system?

You may just try the new ISO to see if it is there too. I assume some local misconfiguration on your end. You can also try to add a new user to your system and see if that works properly.

4 posts were merged into an existing topic: Console font HiDPI discussion

Another systemd upgrade?

Packages (4) lib32-systemd-241.607-1  systemd-241.607-1  systemd-libs-241.607-1  systemd-sysvcompat-241.607-1
1 Like

Yes. And there is also downgrades for glib2 packages to 2.58.3-1 instead of 2.60.[...].

2 Likes

Hey! That's exactly why I came here for glib2 downgrades. I'm on Manjaro KDE and last week switched to testing, question - would it be safe to say whenever I see "warning local (xx package) is newer than repo" (I forget the exact message when updating via pacman). Then I would always update with pacman -Syyuu with two "uu" so I downgrade said packages?

Thanks!

I think this question is missing a part.

Generally, don't use -Syyuu everytime. It is useless most of the time. Just use -Syu in normal cases.

When there is downgrades in repo, it isn't done for no reason. It is a good idea to keep your packages synchronized with the repositories. Using -uu in this situation is justified. It isn't always 100% necessary in practice though, as the newer version may work just fine on your side.

Of course, if Manjaro Team recommends special procedures, follow them, even if it contradicts the normal practice. If they asks users to use -uu with a particular set of upgrades, do so.

4 Likes

Forum kindly sponsored by